Bug 244721 - bhyve: Silence ACPI RTC error/warning in Linux guests
Summary: bhyve: Silence ACPI RTC error/warning in Linux guests
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bhyve (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-virtualization (Nobody)
URL:
Keywords: patch
Depends on:
Blocks:
 
Reported: 2020-03-10 15:18 UTC by Jose Luis Duran
Modified: 2020-07-06 08:37 UTC (History)
2 users (show)

See Also:


Attachments
bhyve: Silence ACPI RTC error/warning in Linux guests (492 bytes, patch)
2020-03-10 15:18 UTC, Jose Luis Duran
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jose Luis Duran 2020-03-10 15:18:39 UTC
Created attachment 212308 [details]
bhyve: Silence ACPI RTC error/warning in Linux guests

From dmesg:
    
        ACPI Error: Could not enable RealTimeClock event (20180810/evxfevnt-184)
        ACPI Warning: Could not enable fixed event - RealTimeClock (4) (20180810/evxface-620)
Comment 1 Jose Luis Duran 2020-03-23 03:33:03 UTC
Also, please MFC if possible. Thanks.
Comment 2 Peter Grehan freebsd_committer 2020-06-18 07:06:56 UTC
I'd held off this until looking at Linux source to make sure there weren't any side-effects, but this doesn't appear to be any worse than the RTC's currently unimplemented calendar alarms, so I'll get this in.

Thanks !
Comment 3 commit-hook freebsd_committer 2020-07-06 08:36:42 UTC
A commit references this bug:

Author: grehan
Date: Mon Jul  6 08:36:15 UTC 2020
New revision: 362952
URL: https://svnweb.freebsd.org/changeset/base/362952

Log:
  Silence ACPI RTC error/warning in Linux guests.

  Allow guests to	set the	RTC bit	in the ACPI PM control register.
  This eliminates an annoying	(and harmless) Linux kernel boot message.

  PR:	244721
  Submitted by:	Jose Luis Duran
  MFC after:	1 week

Changes:
  head/usr.sbin/bhyve/pm.c